## com.sun.jersey.spi.uri.rules
Interface UriRuleContext

All Superinterfaces:
  HttpContext, Traceable, UriMatchResultContext

    public interface UriRuleContext

extends HttpContext, UriMatchResultContext

The context for processing URI rules.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`ContainerRequest` | `getContainerRequest()` Get the container request.
`ContainerResponse` | `getContainerResponse()` Get the container response.
`java.lang.Object` | `getResource(java.lang.Class resourceClass)` Get the resource instance from a resource class.
`UriRules<UriRule>` | `getRules(java.lang.Class resourceClass)` Get the rules for a resource class.
`void` | `pushContainerResponseFilters(java.util.List<ContainerResponseFilter> filters)` Push a list of container response filters to apply after the container response has been produced.
`void` | `pushMatch(UriTemplate template, java.util.List<java.lang.String> names)` Push a match.
`void` | `pushMethod(AbstractResourceMethod arm)` Push the matching resource method.
`void` | `pushResource(java.lang.Object resource)` Push a matching resource.
`void` | `pushRightHandPathLength(int rhpathlen)` Push the right hand path length to calculate the entry for the list of matching (ancestor) URI paths.
`void` | `setContainerRequest(ContainerRequest request)` Set the container request.
`void` | `setContainerResponse(ContainerResponse response)` Set the container response.

Methods inherited from interface com.sun.jersey.api.core.HttpContext
`getProperties, getRequest, getResponse, getUriInfo`

Methods inherited from interface com.sun.jersey.spi.uri.rules.UriMatchResultContext
`getMatchResult, setMatchResult`

Methods inherited from interface com.sun.jersey.api.core.Traceable
`isTracingEnabled, trace`

Method Detail

### getContainerRequest

    ContainerRequest getContainerRequest()

  Get the container request.

  Returns:
    the container request.

### setContainerRequest

    void setContainerRequest(ContainerRequest request)

  Set the container request.

  Parameters:
    `request` - the container request.

### getContainerResponse

    ContainerResponse getContainerResponse()

  Get the container response.

  Returns:
    the container response.

### setContainerResponse

    void setContainerResponse(ContainerResponse response)

  Set the container response.

  Parameters:
    `response` - the container response.

### pushContainerResponseFilters

    void pushContainerResponseFilters(java.util.List<ContainerResponseFilter> filters)

  Push a list of container response filters to apply after the container response has been produced.

  The list of response filters is processed in reverse order of last to first.

  Parameters:
    `filters` - the list container response filters

### getResource

    java.lang.Object getResource(java.lang.Class resourceClass)

  Get the resource instance from a resource class.

  Parameters:
    `resourceClass` - the resource class
  Returns:
    the resource instance

### getRules

    UriRules<UriRule> getRules(java.lang.Class resourceClass)

  Get the rules for a resource class.

  Parameters:
    `resourceClass` - the resource class that has rules
  Returns:
    the rules

### pushMatch

    void pushMatch(UriTemplate template,
                   java.util.List<java.lang.String> names)

  Push a match.

  Parameters:
    `template` - the matching URI template.
    `names` - the parameter names associated with the capturing group values.

### pushResource

    void pushResource(java.lang.Object resource)

  Push a matching resource.

  Parameters:
    `resource` - the matching resource

### pushMethod

    void pushMethod(AbstractResourceMethod arm)

  Push the matching resource method.

  Parameters:
    `arm` - the matching resource method.

### pushRightHandPathLength

    void pushRightHandPathLength(int rhpathlen)

  Push the right hand path length to calculate the entry for the list of matching (ancestor) URI paths.

  Parameters:
    `rhpathlen` - the right hand length

Copyright © 2017 Oracle Corporation. All Rights Reserved.